Skip to main content
POST
/
bridge
/
eth-to-stacks
Initiate Ethereum → Stacks Bridge
curl --request POST \
  --url https://stacks.aboki.xyz/api/bridge/eth-to-stacks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amountUSDC": "100",
  "stacksRecipient": "ST1HSKQ5NH4QQBV03SYCARJEN0CVB7PA7ACQ7HZM5"
}
'
{
  "sessionId": "<string>",
  "status": "<string>",
  "direction": "<string>",
  "amountRequired": "<string>",
  "depositAddress": "<string>",
  "nextSteps": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Bridge request details

amountUSDC
string
required

Amount of USDC to bridge

Example:

"100"

stacksRecipient
string
required

Stacks address to receive USDCx

Example:

"ST1HSKQ5NH4QQBV03SYCARJEN0CVB7PA7ACQ7HZM5"

Response

Bridge session created - waiting for deposit

sessionId
string
required
status
string
required
direction
string
required
amountRequired
string
depositAddress
string
nextSteps
string[]